Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter::No_Hint_Strategy Class Reference

This class doesn't use any hints for POA active hint strategy. More...

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_Object_Adapter::No_Hint_Strategy:

[legend]
Collaboration diagram for TAO_Object_Adapter::No_Hint_Strategy:

[legend]
List of all members.

## Public Methods
virtual | ~No_Hint_Strategy (void)
virtual int | find_persistent_poa (const poa_name &system_name, TAO_POA *&poa ACE_ENV_ARG_DECL)
virtual int | bind_persistent_poa (const poa_name &folded_name, TAO_POA *poa, poa_name_out system_name)
virtual int | unbind_persistent_poa (const poa_name &folded_name, const poa_name &system_name)

## Detailed Description

This class doesn't use any hints for POA active hint strategy.

This class will simply use the POA names as is. And since no hint is added, the IORs will be smaller.

## Constructor & Destructor Documentation

TAO_Object_Adapter::No_Hint_Strategy::~No_Hint_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Object_Adapter::No_Hint_Strategy::bind_persistent_poa | ( | const poa_name & | folded_name,
|  | TAO_POA * | poa,
|  | poa_name_out | system_name
| ) | `[virtual]`

| Implements TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::No_Hint_Strategy::find_persistent_poa | ( | const poa_name & | system_name,
|  | TAO_POA *&poa | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Implements TAO_Object_Adapter::Hint_Strategy.

int TAO_Object_Adapter::No_Hint_Strategy::unbind_persistent_poa | ( | const poa_name & | folded_name,
|  | const poa_name & | system_name
| ) | `[virtual]`

| Implements TAO_Object_Adapter::Hint_Strategy.

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp